package cn.rankin.common.utils.dto.user;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ToString
public class TerminalUserDTO implements Serializable {

    private String id;

    private String code;

    private String password;

    private Integer serialNo;

    private String campusId;

    private String name;

    private BaseStatusEnum status;

    private String merchantId;

    private String merchantName;

    private String contactName;

    private String mobile;
}
