package cn.rankin.common.utils.vo.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class CourseVo implements Serializable {

    private String id;

    private String code;

    private String name;

    private String title;

    private String digest;

    private String detail;

    private String keyword;

    private String coverUrl;

    private String bgUrl;

    private BaseStatusEnum status;

    private List<CourseSubItemVo> subItemList;

    private List<SupportVo> supportList;

}

