package cn.rankin.productservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.product.entity.Goods;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface GoodsRepository extends BasicJpaRepository<Goods, String> {

    @Query(value = "select g from Goods g where g.pid in (?1) and g.status = 0")
    List<Goods> findByPidIn(List<String> pids);

    @Query(value = "select g from Goods g where g.pid = ?1 and g.status = 0 order by g.sort")
    List<Goods> findByPid(String pid);
}
