package cn.rankin.productservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.product.entity.MerchantProduct;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MerchantProductRepository extends BasicJpaRepository<MerchantProduct, String> {

    @Query(value = "select m from MerchantProduct m where m.pid in (:pids) and m.status = 0")
    List<MerchantProduct> findByPidIn(List<String> pids);

    MerchantProduct findByPid(String pid);
}
