package cn.rankin.common.utils.dto.search;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.TagTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

@Data
@ToString
public class TagSearchDTO implements Serializable {

    private String code;

    private String name;

    private String merchantId;

    private TagTypeEnum type;

    private BaseStatusEnum status;

    private String sort;

    private Integer by;

    private Integer pageNo = 1;

    private Integer pageSize = 10;

}
