package cn.rankin.common.utils.vo.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class RecommendVo implements Serializable {

    private String id;

    private String merchantId;

    private String itemId;

    private BaseStatusEnum status;

    private Integer sort;

    private Date gmtCreated;

    private Date gmtModified;

    private ProductTypeEnum type;

    private String name;
}
