package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.TagTypeEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TagDTO implements Serializable {

    private String id;

    private String groupId;

    private String name;

    private TagTypeEnum type;

    private Integer sort;

    private List<String> itemList;

    private BaseStatusEnum status;
}
